Improved Progression 1.1.2

Mods made for AKI 2.3.1 or older are NOT compatible with 3.0.0.
Please do not spam mod comments with requests for mods to be updated - repeat offenders will be muted at moderator discretion.

Improves the progression of quests, bot loadouts and gives an overall more balanced singleplayer experience

In Tarkov there's usually two main stages of player progression: before flea and after flea

This can result in a less smooth progression, getting you stuck on certain quests before the flea and making the traders less useful after it

This mod attempts to fix this by removing the "player" flea market and balancing the rest of the game accordingly

It is highly recommended to use this mod with a fresh STANDARD account, secure container progression is also part of this mod


Main features


Quests


Keys that are needed for quests are made available via new purchases/barters or by making their respective spawn points a guaranteed drop. Also, quests descriptions are updated to give hints about the location of the key in question


Some quests progressions are altered to make unnecessary FIR quests skippable and/or their requirements are reduced, so you won't get stuck on certain quests because of RNG


Bot loadouts


The players will be put in one of four tiers based on their level, Tier1: 1-14, Tier2: 15-24, Tier3: 25-34, Tier4: 35+

Bots will be in the same tier as the player and have their loadouts set accordingly

Their tier mostly reflects the level of traders they can use items from


The class of armor you can see on PMC bots are the following:


Tier1: mostly class 2, few class 3

Tier2: mostly class 3, few class 2 or 4

Tier3: mostly class 4, few class 3 or 4

Tier4: mostly class 5, few class 4 or 6


Other changes


Hideout construction/crafting time is reduced to 10 seconds

Some of the construction/crafting are reduced to help quest progression


You can find the full list of changes here: https://pastebin.com/QSKWnQjZ


Known Issues


-As of now, bots will still be able to use any mod regardless of their Tier

  • Is it possible to use just the quest changes of this mod? I like the guaranteed keys and modified quests, but I balanced gear progression in my own way and would rather not interfere with that.

    • You can turn off bot loadout changes in the config file, for the rest you'd have to go into the mod.js file and delete anything you don't want from line 73 to 77

  • Just curious, this mod is supposed to disable the flea right? mine is still open and i was just going to ask if there was a way i could disable it.

    • You can still use the flea to buy from traders, the "player" flea market should be set to open at level 60

    • for some reason player barters still show up and i can post my own offers.

    • i dont know if its another mod or im just dumb.

    • Try it with no other mods and see if it helps

    • i will. thank you.

  • can i just apply the update to my already existing profile started with an earlier version of the mod?

    • Yes it should work just fine

  • Hello, I wanted to ask if a new game is needed.

    • No, but it's recommended

  • Potential typo in the mod.js. Line 89. else if(playerLevel < config.teir4_level). Not sure if this will mess up the tier 3 bracket or not but just something I noticed.

    • Looks like it actually matches up with the other file that has the value it's referencing. So, spelled wrong, but it IS consistent! Should work fine from what I can tell.

    • You're right. lol. Must have been a copy paste error but hey, as long as they match pathing correctly who cares.

    • Fixed it in the newest version, thanks for noticing :)

  • Throws this error when starting a new profile, latest version:


    TypeError: Cannot read property 'Level' of undefined

    TypeError: Cannot read property 'Level' of undefined

    at Object.action (C:\GAMES\Client.0.12.12.31.19428\user\mods\ImprovedProgression\src\mod.js:25:52)

    at $79469d862e09d5e9$export$1d24e66a30f2c3c6.handleStatic (C:\GAMES\Client.0.12.12.31.19428\obj\bundle.js:15226:61)

    at Proxy.handleRoute (C:\GAMES\Client.0.12.12.31.19428\obj\bundle.js:15542:41)

    at Proxy.getResponse (C:\GAMES\Client.0.12.12.31.19428\obj\bundle.js:15532:30)

    at HttpServer.sendResponse (C:\GAMES\Client.0.12.12.31.19428\obj\bundle.js:17221:38)

    at Inflate.cb (C:\GAMES\Client.0.12.12.31.19428\obj\bundle.js:17247:22)

    at Inflate.zlibBufferOnEnd (zlib.js:153:10)

    at Inflate.emit (events.js:315:20)

    at endReadableNT (internal/streams/readable.js:1327:12)

    at processTicksAndRejections (internal/process/task_queues.js:80:21)

    • Fixed it, now the mod should work on a fresh profile

  • anyway to have the bots not level with the player?

    • Yes, you can disable it in the config file now

      Thumbs Up 1
  • this mod is a must, the fact you will no longer find level 1 PMC's with things like the MK-18 with .338AP ammo on factory is great

  • Please update to 3.0, this is a great mod but it would be even better if we could play it on 3.0

  • omg this sounds amazing, cant wait for 3.0 so i can finally start playing lol

  • I noticed that AI dont have enough medicine items. 1most of the time. Sometimes 2 items.
    But they have like 4-6 ammo magazines.
    Maybe a bit unbalanced?

    • Bots have a huge secure container with all the meds they'd ever need

      Thumbs Up 1
    • But maybe it's a little bit unbalanced that they have 4-6 magazines but no healing items? i mean in raid or even in LIVE you find medicine from looting corpses.

      Thinking 1
  • Very interesting concept ! I'd like to see a 3.0.0 version of this.

    Like 2
  • Hey,
    My PMC's amost of the time has lvl 4 tier armor. even tho im 1lvl and they shouldn't have higher then lvl 2 tier

    • Hi! Do you get any error in the console? Do you have other other mods installed?

    • i have FINS ai. Maybe i should turn off FINS AI loadout?

    • Yes, try it with that turned off

    • works better with FINS loadout turned off. Thanks <3
      Are you planning to upgrade to 3.0?
      Since this mod is amazing not planning to upgrade from 2.3 till it's not updated :D

    • Yes, I'm planning to upgrade, but I want to iron out a few things first

  • 3.0.0 please